# 18. Mutation: "ZonesMap" ve "Field" içeren zip arşivi oluştur

Seçili "ZonesMap" ve "Field" sınırını içeren bir zip arşivi oluşturun.

GraphQL sorgusunun yürütülmesinin ardından, kullanıcılar bir zip arşivini `archiveUrl` özelliğinden ve ile dışa aktarılan içerikten alabilirler `sıkıştırıldı` ve `yoksayıldı` satırlar.

{% hint style="info" %}
Arşiv \*.shp, \*.shx, \*.prj, \*.dbf dosyalarından oluşur.
{% endhint %}

{% hint style="danger" %}
`archiveUrl` link yalnızca erişilebilir **60 sn**.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ExportData {
  exportData(input: {
    vectorAnalysisMaps: [{ 
      uuid: "<placeholder_of_vectoranalysismap_uuid_1>", 
      fieldUuid: "<placeholder_of_field_uuid>" 
    }, { 
      uuid: "<placeholder_of_vectoranalysismap_uuid_2>", 
      fieldUuid: "<placeholder_of_field_uuid>" 
    }]
    fieldBoundaries: [{
      uuid: "<placeholder_of_farm_uuid>", 
      fieldUuid: "<placeholder_of_field_uuid>"
    }]
  }) {
    archiveUrl
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    zippedFieldBoundaries {
      uuid
      fieldUuid
      status
    }
    ignoredFieldBoundaries {
      uuid
      fieldUuid
      status
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/18.-mutation-zonesmap-ve-field-iceren-zip-arsivi-olustur.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
